<?php
namespace App\Repository\Home;

use App\Http\Models\Bairros;
use App\Http\Models\Config;
use App\Http\Models\Vldistance;

class EntregaRepository{
  public function show(){
    $conf = Config::query()->get()->first();
    $endereco = 'Jardim Campos Elisios, Maringá - PR, 87043-530';
    $bairros = Bairros::query()
      //->where('bairro', 'like', '%zona%')
      ->where('bairro', '=', 'zona 05')
      ->where('cidade', '=', 'maringa')
      ->limit(1)
      ->get() //toSql para ver o select
      ->first();
    if ($bairros->bairro <> '') {


      $distancia = $this->distancigoogle($conf->endereco, $endereco);
      foreach ($distancia->rows as $row){
        foreach ($row->elements as $ele){
          foreach ($ele->distance as $dis){
            $distancia = $dis;
            break;
          }
        }
      }
      $distancia = str_replace(' km', '', $distancia);
      echo $distancia;
      $vldistance = Vldistance::query()
        ->where('kmfim', '>=', $distancia)
        ->get()
        ->first();
      if ($vldistance === null){
        $taxa = 'Não realizamos entrega para esse endereço';
      }else{
        $taxa = $vldistance->valor;
      }
    }else{
      if ($bairros->naofaz == 'N') {
        $taxa = 'Não realizamos entrega para esse endereço';
      }
    }
    dd($taxa);
    return view('layout_cardapio.cardapio_entrega', compact('conf'));
  }

  public function distancigoogle($origem, $destino){
    $origem = criptografa($origem, 'chavecript');
    $destino = criptografa($destino, 'chavecript');
    $apiKey = criptografa('AIzaSyCmlJoq1A6WfEO0Kb2DlVBv4J26oQbJUJ0', 'chavecript');
    return json_decode(PegaDistanciGoogle($origem, $destino, $apiKey));

  }
}
